albumSettingEdit(params: AlbumSettingEditReq)

Requires:
@tuya-miniapp/cloud-api≥1.0.5

Description

Time Album settings edit API

Parameters

ParameterTypeRequiredDescription
YesRequest body

Return Value

Type: Promise<boolean>
Whether editing succeeded

Referenced Types

enumVisionEventType
ValueActual ValueDescription
VisionEventType.PRESET0Preset event
VisionEventType.CUSTOM1Custom event

Valid Values

AlbumSettingEditReq.enableStatus
ValueDescriptionSince
0--
1--
VisionEventType
ValueDescriptionSince
0Preset event-
1Custom event-

Examples

Request example

import { albumSettingEdit } from '@tuya-miniapp/cloud-api';

albumSettingEdit({
  albumId: 'album-1',
  stockId: '1',
  gid: '194137',
  albumName: 'Nursery',
  enableStatus: 1,
  timedCaptureConfig: ['12:00'],
  smartCaptureConfig: [{ eventCode: 'person', eventValue: '1', eventType: 0 }],
})
  .then((ok) => console.log(ok))
  .catch(console.error);

Response example

true